Feature # 143 (In Progress): Buchberger-Moeller (parent task)

Buchberger-Moeller: impl via modular reduction

01 May 2012 11:44 - John Abbott

Status: In Progress Start date: 01 May 2012

Priority: Urgent Due date:  

Assignee: John Abbott % Done: 20%

Category: New Function Estimated time: 25.00 hours

Target version: CoCoALib-1.0 Spent time: 5.60 hours

Description

Impl the idea presented in AKR "Zero-dim Schemes" which uses modular reduction to get the form of the answer quickly then verifies

good reduction afterwards.

Related issues:

Related to CoCoALib - Bug #349: IdealOfPoints: gens are actually a GBasis Closed 18 May 2013

Related to CoCoALib - Feature #125: Matrix equation solving; linear system so... In Progress 05 Apr 2012

History

#1 - 28 Jan 2013 08:10 - Anna Maria Bigatti

- Category set to New Function

#2 - 08 Feb 2013 18:02 - John Abbott

- Assignee set to John Abbott

- Priority changed from Normal to Urgent

- Target version set to CoCoALib-0.9953

#3 - 18 May 2013 11:41 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 20

JAA has a working impl based on the old C4 code.  Wasted quite a lot of time tracking down a subtle bug in the old code (which was harmless in C4). 

This cheap hack does not impl the idea in the 0-dim scheme paper.

#4 - 29 May 2013 17:04 - John Abbott

- Target version changed from CoCoALib-0.9953 to CoCoALib-0.99534 Seoul14

No chance of finishing this in time for CoCoALib-0.9953/CoCoA School 2013.

#5 - 29 Oct 2013 15:17 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99534 Seoul14 to CoCoALib-0.99532

#6 - 03 Apr 2014 11:29 - John Abbott

- Target version changed from CoCoALib-0.99532 to CoCoALib-0.99533 Easter14

#7 - 04 Apr 2014 17:45 - John Abbott

- Target version changed from CoCoALib-0.99533 Easter14 to CoCoALib-0.99534 Seoul14

#8 - 10 Jul 2014 14:18 - John Abbott
- Target version changed from CoCoALib-0.99534 Seoul14 to CoCoALib-1.0
